ich_pata_cable_detect
Prev | Chapter 8. ata_piix Internals | Next

## Name

ich_pata_cable_detect — Probe host controller cable detect info

## Synopsis

`int ich_pata_cable_detect (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  Port for which cable detect info is desired

## Description

Read 80c cable indicator from ATA PCI device's PCI config register. This register is normally set by firmware (BIOS).

## LOCKING

None (inherited from caller).

Prev | Up | Next
Chapter 8. ata_piix Internals | Home | piix_pata_prereset